#pragma once

class SimpleMapDataContext;

namespace tipupdater{
class UpdaterDocument;
};

enum UpdaterNotifyWindowType
{
	TYPE_UPGRADE_PROGRAM		= 0,
	TYPE_CHANGE_STARTPAGE		= 1,
	TYPE_CHANGE_DEFAULTSEARCH	= 2,
	TYPE_NOTINSTALLED_PROGRAM	= 3,
};

class UpdaterNotifyWindowItem
{
public:
	UpdaterNotifyWindowItem()
	{

	}

	UpdaterNotifyWindowItem(UpdaterNotifyWindowType type, const TCHAR *guid = NULL)
	{
		m_NotifyType = type;
		if( guid )
			Checked::tcscpy_s( m_guid, 128, guid );
		else
			m_guid[0] = 0;
	}

	void BindDataContext( CString &layout_name, SimpleMapDataContext *dataContext, tipupdater::UpdaterDocument *doc );
	BOOL CheckShowNotifyWindow(tipupdater::UpdaterDocument *doc);
	BOOL CheckShowStartPage(tipupdater::UpdaterDocument *doc);
	BOOL CheckShowDefaultSearch(tipupdater::UpdaterDocument *doc);
	BOOL CheckShowUpgrade(tipupdater::UpdaterDocument *doc);

private:
	UpdaterNotifyWindowType	m_NotifyType;
	TCHAR					m_guid[128];
};